/*
 * Micron MT9T001 Image Sensor driver
 *
 * Copyright (C) 2006 Atmel Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#ifndef __DRIVERS_MEDIA_VIDEO_MT9T001_H
#define __DRIVERS_MEDIA_VIDEO_MT9T001_H

#define REG_CHIP_VERSION		0x00
#define REG_ROW_START			0x01
#define REG_COL_START			0x02
#define REG_WIN_HEIGHT			0x03
#define REG_WIN_WIDTH			0x04
#define REG_HBLANK			0x05
#define REG_VBLANK			0x06
#define REG_OUTPUT_CTRL			0x07
#define REG_SHUTTER_WIDTH_UPPER		0x08
#define REG_SHUTTER_WIDTH		0x09
#define REG_PIXCLK			0x0a
#define REG_RESTART			0x0b
#define REG_SHUTTER_DELAY		0x0c
#define REG_RESET			0x0d
#define REG_READ_MODE1  		0x1e
#define REG_READ_MODE2  		0x20
#define REG_READ_MODE3  		0x21

#define REG_ROW_ADDRESS_MODE            0x22
#define REG_COLUMN_ADDRESS_MODE         0x23
#define REG_GREEN1_GAIN			0x2b
#define REG_BLUE_GAIN			0x2c
#define REG_RED_GAIN			0x2d
#define REG_GREEN2_GAIN			0x2e
#define REG_TEST_DATA                   0x32
#define REG_GLOBAL_GAIN			0x35

#define REG_BLACK_LEVEL                 0x49
#define REG_BLACK_DEF_OFFSET            0x4b
#define REG_BLC_DELTA_THRES             0x5d
#define REG_CAL_THRES                   0x5f

#define REG_GREEN1_OFFSET               0x60
#define REG_GREEN2_OFFSET               0x61

#define REG_BLACK_LEVEL_CAL             0x62

#define REG_RED_OFFSET                  0x63
#define REG_BLUE_OFFSET                 0x64

#define REG_CHIP_ENABLE			0xf8

#endif /* __DRIVERS_MEDIA_VIDEO_MT9T001_H */
